package com.dayou.service;
import com.dayou.entity.ItemStageUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.ItemStageUserVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 项目人员阶段参与表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface IItemStageUserService extends IService<ItemStageUser> {

        Page<ItemStageUser> selectPage(Page page,ItemStageUser itemStageUser);

        ItemStageUser detail(Long id);

        Boolean add(ItemStageUser itemStageUser);

        Boolean update(ItemStageUser itemStageUser);

        Boolean delete(Long id);

        Set<ItemStageUserVO> getList(Long stageId);

}
